Name: pcre-ocaml
Version: 4.28.3
Release: alt5s

Group: Development/ML
Summary: PCRE bindings for OCaml
License: LGPL
Url: http://www.ai.univie.ac.at/~markus/ocaml_sources
Source:  pcre-ocaml-%version.tar.bz2
Requires: ocaml = 3.07, findlib >= 0.9, libpcre
Requires: pcre-ocaml-runtime = %version-%release

BuildRequires: ocaml = 3.07, ocamlfind-mini >= 0.9, libpcre-devel

%package runtime
Summary: runtime part of libpcre ocaml bindings
Group: Development/ML
Requires: ocaml-runtime = 3.07

%description

 Perl Compatible Regular Expressions for Objective Caml.

%description runtime

 Perl Compatible Regular Expressions for Objective Caml.

%prep
%setup -q

%build
rm -f Makefile.conf

cat <<EOF > Makefile.conf
export INCDIRS := /usr/include/pcre
EOF

make all opt
(cd lib; ocamlopt -nolinkstd -ccopt -L. -shared -o pcre.so stdlib.so.cmxa pcre.cmxa -linkall)

rm -f META

cat <<EOF > lib/META
name="pcre"
version="%version"
description="Perl Compatibility Regular Expressions"
requires=""
archive(byte)="pcre.cma"
archive(native)="pcre.so.cmxa"
linkopts = "-cclib -lpcre -cclib -lpcre_stubs"
EOF

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/pcre/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/
(cd lib; cp META *.cmi *.mli *.cma *.a *.cmxa *.so $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/pcre/)
#(cd $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs; ln -s \
#/usr/lib/ocaml/site-lib/pcre/pcre.so ./; ln -s \
#/usr/lib/ocaml/site-lib/pcre/dllpcre_stubs.so ./)
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/site-lib ! -type d  ! -name '*.so' -printf "/%%p\n") > files
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/stublibs ! -type d !  -name '*.so' -printf "/%%p\n") > runfiles
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/site-lib -name '*.so' -printf "/%%p\n") >> runfiles

%files -f files
%doc README INSTALL Changes LICENSE

%files -n pcre-ocaml-runtime -f runfiles
%dir %_libdir/ocaml/site-lib/pcre

%changelog
* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt5s
rebuild (3.07)


* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt4s
- rebuild (3.07bs)

* Thu Mar 06 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt3s
- runtime part separated

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt2s
- rebuild with 3.06 [Shared]

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt2
- rebuild

* Sun Oct 27 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt1
- new version

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.2-alt1
- new version

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.26.3-alt2
- rebuild: ocaml 3.05

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.26.3-alt1
- First RPM release.
